Bug 192618 - ghasher: $RPM_OPT_FLAGS not honored
ghasher: $RPM_OPT_FLAGS not honored
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghasher (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:53 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 05:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 17:53:17 EDT
ghasher's build doesn't appear to be honoring $RPM_OPT_FLAGS, reusulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Possible fix, add $RPM_OPT_FLAGS in %build:
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_
SOURCE $(pkg-config gtk+-2.0 libglade-2.0 --cflags)"
Comment 1 Denis Leroy 2006-09-03 19:22:19 EDT
Taking ownership.
Comment 2 Denis Leroy 2006-09-04 05:03:07 EDT
Fixed, added options integrated upstream in 1.2.1

Note You need to log in before you can comment on or make changes to this bug.